package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "AccountShareTotal", description = "分润统计对象")
public class AccountShareTotal {
    @ApiModelProperty("累计奖励")
    private BigDecimal totalAmount = BigDecimal.ZERO;
    @ApiModelProperty("待入账")
    private BigDecimal waitAmount = BigDecimal.ZERO;
    @ApiModelProperty("已入账")
    private BigDecimal recordedAmount = BigDecimal.ZERO;
    @ApiModelProperty("已退费")
    private BigDecimal cancelAmount = BigDecimal.ZERO;

    @ApiModelProperty("推广学员数")
    private BigDecimal studentNum = BigDecimal.ZERO;


    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getWaitAmount() {
        return waitAmount;
    }

    public void setWaitAmount(BigDecimal waitAmount) {
        this.waitAmount = waitAmount;
    }

    public BigDecimal getRecordedAmount() {
        return recordedAmount;
    }

    public void setRecordedAmount(BigDecimal recordedAmount) {
        this.recordedAmount = recordedAmount;
    }

    public BigDecimal getCancelAmount() {
        return cancelAmount;
    }

    public void setCancelAmount(BigDecimal cancelAmount) {
        this.cancelAmount = cancelAmount;
    }

    public BigDecimal getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(BigDecimal studentNum) {
        this.studentNum = studentNum;
    }
}